Bug 241797 - net/wireshark: Standardization of GSSAPI options
Summary: net/wireshark: Standardization of GSSAPI options
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Joe Marcus Clarke
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2019-11-08 05:14 UTC by Tatsuki Makino
Modified: 2019-12-28 13:10 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (marcus)


Attachments
proposed patch (2.62 KB, patch)
2019-11-08 05:14 UTC, Tatsuki Makino
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tatsuki Makino 2019-11-08 05:14:31 UTC
Created attachment 208963 [details]
proposed patch

Rewrite kerberos options from KRB_* to GSSAPI_*.
It makes make.conf easier to write:

# install openssl from ports.
DEFAULT_VERSIONS= ssl=openssl111

# Mk/Uses/gssapi.mk rejects GSSAPI_BASE if ${SSL_DEFAULT} != base.
# Have all ports (e.g. security/p5-GSSAPI) use security/heimdal.
OPTIONS_SET=   GSSAPI_HEIMDAL
OPTIONS_UNSET= GSSAPI_BASE GSSAPI_MIT GSSAPI_NONE

# But don't use it in wireshark.
net_wireshark_SET=   GSSAPI_NONE
net_wireshark_UNSET= GSSAPI_BASE GSSAPI_HEIMDAL GSSAPI_MIT

# setting by dialog is also ignored.
#net_wireshark_SET_FORCE=   GSSAPI_NONE
#net_wireshark_UNSET_FORCE= GSSAPI_BASE GSSAPI_HEIMDAL GSSAPI_MIT

# end of make.conf

GSSAPI*_DESC= lines can be removed if the one defined in Mk/bsd.options.desc.mk is used. It is not removed in the patch.
Comment 1 Automation User 2019-11-23 04:14:28 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/97991785
Comment 2 commit-hook freebsd_committer 2019-12-28 13:09:56 UTC
A commit references this bug:

Author: marcus
Date: Sat Dec 28 13:08:54 UTC 2019
New revision: 521218
URL: https://svnweb.freebsd.org/changeset/ports/521218

Log:
  Update to 3.2.0.

  Also, normalize the Kerberos OPTIONs. [1]

  See https://www.wireshark.org/docs/relnotes/wireshark-3.2.0.html for a list
  of changes in this release.

  PR:		241797 [1]
  Submitted by:	Tatsuki Makino [1]

Changes:
  head/net/wireshark/Makefile
  head/net/wireshark/distinfo
  head/net/wireshark/pkg-plist
Comment 3 Joe Marcus Clarke freebsd_committer 2019-12-28 13:10:03 UTC
Committed with 3.2.0.  Thanks!